Subject: bug#52587: 29.0.50; Wrong block header/footer background in Org

From: Kévin Le Gouguec <[email-masked]>
Date: Sun, 26 Dec 2021 22:46:51 +0100

Protesilaos Stavrou <[email-masked]> writes:

> On 2021-12-26, 22:04 +0100, Rudolf Adamkovič <[email-masked]> wrote:
>
>>> - Create a file with demo content, such as ~/test-org-block.org
>>> - Execute 'emacs -Q' on the command-line.
>>> - M-x load-theme RET modus-operandi
>>> - C-x C-f test-org-block.org RET
>
> Gotcha!  I can reproduce that.  It is not a theme issue.  I checked the
> Org code a bit.  There is a function in org-compat.el called
> 'org--set-faces-extend' and in org.el we see it being used in the
> (define-derived-mode org-mode ... part.
>
> In other words, M-x org-mode wants those faces to have ':extend t'.

Only when org-fontify-whole-block-delimiter-line is set (which it is, by
default, I think).